Subject: bug#47428: closed (Re: bug#47428: Problems building the up-to-date "devel" manual for the website)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Jul 2021 18:53:02 +0000

Your bug report

#47428: Problems building the up-to-date "devel" manual for the website

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47428: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47428
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47428: Problems building the up-to-date "devel" manual for the website
From: Maxim Cournoyer <[email-masked]>
To: Leo Famulari <[email-masked]>
Cc: [email-masked], Mathieu Othacehe <[email-masked]>
Date: Wed, 07 Jul 2021 14:52:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Leo Famulari <[email-masked]> writes:

> On Fri, Apr 02, 2021 at 11:33:57AM +0200, Mathieu Othacehe wrote:
>> 
>> > ). Please consider running po4a-updatepo to refresh it.
>> > Your input po file ./guix-manual.de.po seems outdated (The amount of entries differ between files: 10012 is not 325
>> > ). Please consider running po4a-updatepo to refresh it.
>> > mmap(PROT_NONE) failed
>> > builder for `/gnu/store/86gnwxxw7lfkifaal6fhflmkn3fczyhf-guix-translated-texinfo.drv' failed due to signal 11 (Segmentation fault)
>> 
>> I worked around it by building this derivation on one core. Looks like
>> the cookbook, website, manual and devel manual are now building fine.
>> 
>> Closing this one,
>
> Awesome, thanks for your work!

I've pushed this with commit af2d6ec092 to master:

modified   guix/self.scm
@@ -410,7 +410,10 @@ a list of extra files, such as '(\"contributing\")."
             ;; Limit thread creation by 'n-par-for-each'.  Going beyond can
             ;; lead libgc 8.0.4 to abort with:
             ;; mmap(PROT_NONE) failed
-            (min (parallel-job-count) 4))
+            ;;
+            ;; FIXME: The above error would still happen when using only 4
+            ;; build jobs, so disable parallelism entirely for the time being.
+            (min (parallel-job-count) 1))
 
           (mkdir #$output)
           (copy-recursively #$documentation "."

To guard about the occasional failures we were still hitting building
the latest manuals for the website.

It won't become effective until the 'guix' used by the berlin gets
updated though.

Closing,

Maxim

Subject: Problems building the up-to-date "devel" manual for the website
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Fri, 26 Mar 2021 18:36:22 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that the "devel" version of the online manual, which is
supposed to stay up to date, has not been updated since March 16, 2021:

https://guix.gnu.org/manual/devel/en/

There were some problems related to the recent guile-lib update, which
broke the build scripts in 'doc/build.scm', but that should be fixed
now.

I tried building it with `guix build -f doc/build.scm`, and it crashed
with a segmentation fault while building guix-translated-texinfo.drv,
with this message:

"mmap(PROT_NONE) failed"

I tried again, with --max-jobs=1, and it succeeded. So, maybe we just
need to update and reconfigure ci.guix.gnu.org, and try again.

Here is what I am working with:

------
$ guix describe
Generation 10   Mar 26 2021 20:11:33    (current)
  guix e8337f1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    commit: e8337f1e45b57035c6e5d45133aa9412d4e5e882
------

And, I'm building 'doc/build.scm' from that same commit.